#ifndef _ABERCHAT_COMMON_H_
#define _ABERCHAT_COMMON_H_
#include <stdio.h>
#include <stdarg.h>
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>
#include <fcntl.h>
#include <netdb.h>
#include "config.h"

/* this is the address and port of the server, 
 * either mudmail Kroll@SMiLE  or email smile@mirai.net
 * and tell him/them:
 * 1. Your muds ip. e.g. 195.166.28.7   for SMiLE
 * 2. Your muds port. e.g. 6715 for SMiLE
 * 3. Your password for connection e.g. YourPassword (ha! bet you thought i'd
 *                                                   type in SMiLE's password!)
 * or, for dumb people:
 * tell them your ip,
 * the contents of #define PORT in config.h
 * the contents of #define PASS in client.h (just below)
 */

#define SERVER      "smile.mudzone.com"
#define SERVER_PORT  6969

#define PASS        "Password"
#define MUDLIB      "IDirt 1.82"
#define MYMUD       "idirt"

/* shouldn't need to change anything below */

void aautoconcom(void);
void aboot(Boolean);
void ashutdown(Boolean);
void amudlistcom(void);
void achatcom(int);
void awhocom(void);
void atellcom(void);
void ainfocom(void);
void akickcom(void);
void noaberchatcom(void);
void noachatcom(void);
void noacodecom(void);
void noagodcom(void);
void noainfocom(void);
void aversioncom(void);
void amasslistcom(void);
void apolicycom(void);
void acopyrightcom(void);
void afilepagecom(char *);

void set_areply(int, char *, char *);
void areplycom(void); 
void aprintf(char *, ...);
void write_aberpacket(void);
void read_aberpacket(void);
void abercmd(char, char *);
char *get_arg(char *);
void amudlist(char *);

void atell(char *, char *, char *, char *);
void kick_player(char *, char *, char *);
void amessage(char *, char *, char *);
void achat(int, char *, char *, char *);
void afilepage(char *, char *, char *);
void ainfo(char *, char *);
void aversion(char *, char *, char *);
void aver_reply(char *, char *);
void send_awho(char *, char *);
void receive_awho(char *);
void auth_received(Boolean);
void authenticate(void);
Boolean aberchat_parse(int);

#define PATCHLEVEL	"5"
#define CLIENT_VERSION	"AberChat Client 4.20(pl " PATCHLEVEL ")"

#define READLEN    4096
#define WRITELEN   4096
#define TO_MUD     '0'
#define TO_ALL     '1'
#define AUTH       '0'
#define MUDLIST    '1'
#define AECHO      '2'
#define TELL       '3'
#define CHAT       '4'
#define WHO        '5'
#define RWHO       '6'
#define INFOMSG    '7'
#define MSG        '8'
#define KICK       '9'
#define AVERSION   ':'
#define FILEPAGE   ';'
#define AGOD       '<'
#define ACODE      '='
#define AVERREQ    '>'

#define D       "\007"
#define DCHAR     007 
#define DASHES "&+b------------------------------------------------" \
               "-------------------------------\n"


#endif
